Diagrams: pie charts are sometimes scaled non-uniform
Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17304

Description

When setting a minimum size for pie charts and printing or exporting to PDF some smaller diagrams (those at or below the minimum size)

are drawn distorted.

This does not happen on screen - only when exporting to PDF or printing.

See attached PDF and PNG look at some of the smaller pie charts.

Associated revisions

Revision fef175b6 - 2013-09-03 08:55 AM - Matthias Kuhn

[diagram] Workaround floating point errors leading to diagram distortion

Fix #8554

History

#1 - 2013-09-02 01:40 PM - Andreas Neumann

- File piecharts_diagram_scaling_problem.png added

#2 - 2013-09-02 01:49 PM - Andreas Neumann

You can download a sample project here: http://www.carto.net/neumann/temp/diagramproject.zip

#3 - 2013-09-02 11:56 PM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"fef175b618dc5d7bc56008faeb648ea5d9bd7fc1".

Files

02_Betriebe.pdf 4.2 MB 2013-09-02 Andreas Neumann

piecharts_diagram_scaling_problem.png 1.04 MB 2013-09-02 Andreas Neumann
